Commit ff50e5ab authored by Marc G. Fournier's avatar Marc G. Fournier

Switched from using monitor to using psql

Submitted by: Rick Weldon <rick@wisetech.com>
parent 69ee15d6
...@@ -11,7 +11,7 @@ ...@@ -11,7 +11,7 @@
# #
# #
# IDENTIFICATION # IDENTIFICATION
# $Header: /cvsroot/pgsql/src/bin/createdb/Attic/createdb.sh,v 1.1.1.1 1996/07/09 06:22:12 scrappy Exp $ # $Header: /cvsroot/pgsql/src/bin/createdb/Attic/createdb.sh,v 1.2 1996/07/25 06:55:23 scrappy Exp $
# #
#------------------------------------------------------------------------- #-------------------------------------------------------------------------
...@@ -58,7 +58,7 @@ done ...@@ -58,7 +58,7 @@ done
AUTHOPT="-a $AUTHSYS" AUTHOPT="-a $AUTHSYS"
[ -z "$AUTHSYS" ] && AUTHOPT="" [ -z "$AUTHSYS" ] && AUTHOPT=""
monitor -TN $AUTHOPT -h $PGHOST -p $PGPORT -c "create database $dbname" template1 || { psql -Tq $AUTHOPT -H $PGHOST -p $PGPORT -c "create database $dbname" template1 || {
echo "$CMDNAME: database creation failed on $dbname." echo "$CMDNAME: database creation failed on $dbname."
exit 1 exit 1
} }
......
...@@ -8,7 +8,7 @@ ...@@ -8,7 +8,7 @@
# #
# #
# IDENTIFICATION # IDENTIFICATION
# $Header: /cvsroot/pgsql/src/bin/createuser/Attic/createuser.sh,v 1.1.1.1 1996/07/09 06:22:12 scrappy Exp $ # $Header: /cvsroot/pgsql/src/bin/createuser/Attic/createuser.sh,v 1.2 1996/07/25 06:55:30 scrappy Exp $
# #
# Note - this should NOT be setuid. # Note - this should NOT be setuid.
# #
...@@ -55,13 +55,13 @@ done ...@@ -55,13 +55,13 @@ done
AUTHOPT="-a $AUTHSYS" AUTHOPT="-a $AUTHSYS"
[ -z "$AUTHSYS" ] && AUTHOPT="" [ -z "$AUTHSYS" ] && AUTHOPT=""
MARGS="-TN $AUTHOPT -h $PGHOST -p $PGPORT" PARGS="-T -q $AUTHOPT -H $PGHOST -p $PGPORT"
# #
# generate the first part of the actual monitor command # generate the first part of the actual monitor command
# #
MONITOR="monitor $MARGS" PSQL="psql $PARGS"
# #
# see if user $USER is allowed to create new users # see if user $USER is allowed to create new users
...@@ -70,7 +70,7 @@ MONITOR="monitor $MARGS" ...@@ -70,7 +70,7 @@ MONITOR="monitor $MARGS"
QUERY="select usesuper from pg_user where usename = '$USER'" QUERY="select usesuper from pg_user where usename = '$USER'"
#echo $QUERY #echo $QUERY
ADDUSER=`$MONITOR -TN -c "$QUERY" template1` ADDUSER=`$PSQL -c "$QUERY" template1`
if [ $? -ne 0 ] if [ $? -ne 0 ]
then then
...@@ -100,7 +100,7 @@ fi ...@@ -100,7 +100,7 @@ fi
QUERY="select usesysid from pg_user where usename = '$NEWUSER'" QUERY="select usesysid from pg_user where usename = '$NEWUSER'"
RES=`$MONITOR -TN -c "$QUERY" template1` RES=`$PSQL -c "$QUERY" template1`
if [ $? -ne 0 ] if [ $? -ne 0 ]
then then
...@@ -142,7 +142,7 @@ do ...@@ -142,7 +142,7 @@ do
exit 1 exit 1
fi fi
QUERY="select usename from pg_user where usesysid = '$SYSID'::int4" QUERY="select usename from pg_user where usesysid = '$SYSID'::int4"
RES=`$MONITOR -TN -c "$QUERY" template1` RES=`$PSQL -c "$QUERY" template1`
if [ $? -ne 0 ] if [ $? -ne 0 ]
then then
echo "$CMDNAME: database access failed." echo "$CMDNAME: database access failed."
...@@ -206,7 +206,7 @@ QUERY="insert into pg_user \ ...@@ -206,7 +206,7 @@ QUERY="insert into pg_user \
values \ values \
('$NEWUSER', $SYSID, '$CANCREATE', 't', '$CANADDUSER','t')" ('$NEWUSER', $SYSID, '$CANCREATE', 't', '$CANADDUSER','t')"
RES=`$MONITOR -TN -c "$QUERY" template1` RES=`$PSQL -c "$QUERY" template1`
# #
# Wrap things up. If the user was created successfully, AND the user was # Wrap things up. If the user was created successfully, AND the user was
......
...@@ -11,7 +11,7 @@ ...@@ -11,7 +11,7 @@
# #
# #
# IDENTIFICATION # IDENTIFICATION
# $Header: /cvsroot/pgsql/src/bin/destroydb/Attic/destroydb.sh,v 1.1.1.1 1996/07/09 06:22:12 scrappy Exp $ # $Header: /cvsroot/pgsql/src/bin/destroydb/Attic/destroydb.sh,v 1.2 1996/07/25 06:55:41 scrappy Exp $
# #
#------------------------------------------------------------------------- #-------------------------------------------------------------------------
...@@ -58,7 +58,7 @@ done ...@@ -58,7 +58,7 @@ done
AUTHOPT="-a $AUTHSYS" AUTHOPT="-a $AUTHSYS"
[ -z "$AUTHSYS" ] && AUTHOPT="" [ -z "$AUTHSYS" ] && AUTHOPT=""
monitor -TN -h $PGHOST -p $PGPORT -c "drop database $dbname" template1 psql -Tq -H $PGHOST -p $PGPORT -c "drop database $dbname" template1
if [ $? -ne 0 ] if [ $? -ne 0 ]
then then
......
...@@ -8,7 +8,7 @@ ...@@ -8,7 +8,7 @@
# #
# #
# IDENTIFICATION # IDENTIFICATION
# $Header: /cvsroot/pgsql/src/bin/destroyuser/Attic/destroyuser.sh,v 1.1.1.1 1996/07/09 06:22:12 scrappy Exp $ # $Header: /cvsroot/pgsql/src/bin/destroyuser/Attic/destroyuser.sh,v 1.2 1996/07/25 06:55:49 scrappy Exp $
# #
# Note - this should NOT be setuid. # Note - this should NOT be setuid.
# #
...@@ -55,12 +55,13 @@ done ...@@ -55,12 +55,13 @@ done
AUTHOPT="-a $AUTHSYS" AUTHOPT="-a $AUTHSYS"
[ -z "$AUTHSYS" ] && AUTHOPT="" [ -z "$AUTHSYS" ] && AUTHOPT=""
MARGS="-TN $AUTHOPT -p $PGPORT -h $PGHOST" PARGS="-Tq $AUTHOPT -p $PGPORT -H $PGHOST"
# #
# generate the first part of the actual monitor command # generate the first part of the actual monitor command
# #
MONITOR="monitor $MARGS" PSQL="psql $PARGS"
# #
# see if user $USER is allowed to create new users. Only a user who can # see if user $USER is allowed to create new users. Only a user who can
...@@ -68,7 +69,7 @@ MONITOR="monitor $MARGS" ...@@ -68,7 +69,7 @@ MONITOR="monitor $MARGS"
# #
QUERY="select usesuper from pg_user where usename = '$USER'" QUERY="select usesuper from pg_user where usename = '$USER'"
ADDUSER=`$MONITOR -c "$QUERY" template1` ADDUSER=`$PSQL -c "$QUERY" template1`
if [ $? -ne 0 ] if [ $? -ne 0 ]
then then
...@@ -93,7 +94,7 @@ fi ...@@ -93,7 +94,7 @@ fi
QUERY="select usesysid from pg_user where usename = '$DELUSER'" QUERY="select usesysid from pg_user where usename = '$DELUSER'"
RES=`$MONITOR -c "$QUERY" template1` RES=`$PSQL -c "$QUERY" template1`
if [ $? -ne 0 ] if [ $? -ne 0 ]
then then
...@@ -117,7 +118,7 @@ SYSID=`echo $RES | sed 's/ //g'` ...@@ -117,7 +118,7 @@ SYSID=`echo $RES | sed 's/ //g'`
QUERY="select datname from pg_database where datdba = '$SYSID'::oid" QUERY="select datname from pg_database where datdba = '$SYSID'::oid"
ALLDBS=`$MONITOR -c "$QUERY" template1` ALLDBS=`$PSQL -c "$QUERY" template1`
if [ $? -ne 0 ] if [ $? -ne 0 ]
then then
...@@ -170,7 +171,7 @@ then ...@@ -170,7 +171,7 @@ then
echo "destroying database $i" echo "destroying database $i"
QUERY="drop database $i" QUERY="drop database $i"
$MONITOR -c "$QUERY" template1 $PSQL -c "$QUERY" template1
if [ $? -ne 0 ] if [ $? -ne 0 ]
then then
echo "$CMDNAME: drop database on $i failed - exiting" echo "$CMDNAME: drop database on $i failed - exiting"
...@@ -181,7 +182,7 @@ fi ...@@ -181,7 +182,7 @@ fi
QUERY="delete from pg_user where usename = '$DELUSER'" QUERY="delete from pg_user where usename = '$DELUSER'"
$MONITOR -c "$QUERY" template1 $PSQL -c "$QUERY" template1
if [ $? -ne 0 ] if [ $? -ne 0 ]
then then
echo "$CMDNAME: delete of user $DELUSER was UNSUCCESSFUL" echo "$CMDNAME: delete of user $DELUSER was UNSUCCESSFUL"
......
Markdown is supported
0% or
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment